#!/usr/bin/env python2
# -*- coding: UTF-8 -*-

class Option(object):
    """
    Отдельная настройка
    :param name - имя настройки в секции section
    :param text - название настройки; specification - описание настройки
    """
    def __init__(self, name, type, section, text='', specification='', defaultValue='', params='', hidden=False):
        self.name = name
        self.type = type
        self.section = section
        self.text = text
        self.specification = specification
        self.defaultValue = defaultValue
        self.params = params
        self.value = defaultValue
        self.hidden = hidden

    def getValueDescription(self):
        if self.type == 'dict':
            return self.params[self.value]
        return self.value
